Package org.eclipse.net4j.util.security

## Interface IUserAware

- All Known Subinterfaces:
    `ICredentials`, `IPasswordCredentials`, `IPasswordCredentialsUpdate`
  All Known Implementing Classes:
    `Credentials`, `PasswordCredentials`, `PasswordCredentialsUpdate`

      public interface IUserAware

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getUserID()` |

- - ### Method Detail

    - #### getUserID

          java.lang.String getUserID()